GtkGammaCurve
3
GTK Library

# GtkGammaCurve

A subclass of GtkCurve for editing gamma curves

## Synopsis

    #include <gtk/gtk.h>

                        GtkGammaCurve;
    GtkWidget*          gtk_gamma_curve_new                 (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GtkGammaCurve

## Implemented Interfaces

GtkGammaCurve implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

This widget is considered too specialized/little-used for GTK+, and will in the future be moved to some other package. If your application needs this widget, feel free to use it, as the widget does work and is useful in some applications; it's just not of general interest. However, we are not accepting new features for the widget, and it will eventually move out of the GTK+ distribution.

The GtkGammaCurve widget is a variant of GtkCurve specifically for editing gamma curves, which are used in graphics applications such as the Gimp.

The GtkGammaCurve widget shows a curve which the user can edit with the mouse just like a GtkCurve widget. On the right of the curve it also displays 5 buttons, 3 of which change between the 3 curve modes (spline, linear and free), and the other 2 set the curve to a particular gamma value, or reset it to a straight line.

## Details

### GtkGammaCurve

    typedef struct _GtkGammaCurve GtkGammaCurve;

The GtkGammaCurve struct contains private data only, and should be accessed using the functions below.

### gtk_gamma_curve_new ()

    GtkWidget*          gtk_gamma_curve_new                 (void);

Creates a new GtkGammaCurve.

Returns :

  a new GtkGammaCurve.